Skip to:
Content
Pages
Categories
Search
Top
Bottom

“in_array” warning upon upgrading to WP & BP

  • Avatar of kenleyneufeld
    kenleyneufeld
    Member

    @kenleyneufeld

    Recently upgraded from WPMU to WP 3.0.1 with BuddyPress Social 1.1.8 as my theme and using the BuddyPress Plugin Version 1.2.5.2. As soon as the plugin is activated in the Dashboard, I receive the following message through the primary blog and the Dashboard:

    Warning: in_array() [function.in-array]: Wrong datatype for second argument in /home/kenleyneufeld/classes.kenleyneufeld.com/wp-content/plugins/buddypress/bp-core.php on line 315

    If I deactivate the plugin, the error disappears but then so do the features of the plugin that I want and need for the site. I have tried deleting and reinstalling the plugin with the same result.

    Further, all the images on the site seem to be broken. Could be related?

    Any direction or support is appreciated.

Viewing 2 replies - 1 through 2 (of 2 total)
  • Avatar of kenleyneufeld
    kenleyneufeld
    Member

    @kenleyneufeld

    Discovered the culprit for the error was the Twire plugin. I disabled this plugin and the error disappeared. Case closed.

    Avatar of Dfa327
    Dfa327
    Participant

    @dfa327

    Hi,

    Didn’t realize the plugin caused this. So sorry:( Did you ever figure out how/why by chance? I’m looking at upgrading the plugins I wrote.

    Thanks,
    Dave

Viewing 2 replies - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.